Bio::MAGETAB::ArrayDesign(3)

NAME
Bio::MAGETAB::ArrayDesign - MAGE-TAB array design class

SYNOPSIS
 use Bio::MAGETAB::ArrayDesign;

DESCRIPTION
This class is used to store information about array designs in MAGE-TAB. This class can represent information from an ADF, or a reference to an array design in a database. See the DatabaseEntry class for superclass methods.

ATTRIBUTES

name (required)
    The name of the array design (data type: String).

version (optional)
    The version of the array design (data type: String).

uri (optional)
    A URI for the array design (data type: Uri).

provider (optional)
    The provider (typically the manufacturer) of the array design (data type: String).

technologyType (optional)
    The technology type of the array (data type: Bio::MAGETAB::ControlledTerm).

surfaceType (optional)
    The surface type of the array (data type: Bio::MAGETAB::ControlledTerm).

substrateType (optional)
    The substrate type of the array (data type: Bio::MAGETAB::ControlledTerm).

printingProtocol (optional)
    The protocol used for printing the array (data type: String).

sequencePolymerType (optional)
    The sequence polymer type of the array (data type: Bio::MAGETAB::ControlledTerm).

designElements (optional)
    A list of array design elements (Features, Reporters and CompositeElements) describing the array (data type: Bio::MAGETAB::DesignElement).

comments (optional)
    A list of user-defined comments for the array design (data type: Bio::MAGETAB::Comment).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::DatabaseEntry

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).